# HandlerTest Module — vsmartcard 2021-04-28 documentation

# HandlerTest Module

class `virtualsmartcard.cards.HandlerTest.``HandlerTestOS`

  Bases: `virtualsmartcard.VirtualSmartcard.SmartcardOS`

  This class implements the commands used for the PC/SC-lite smart card reader driver tester. See https://salsa.debian.org/rousseau/HandlerTest and handler_test(1).

  `__output_from_le`(msg)
  `execute`(msg)

    Returns response to the given APDU as string of characters

    Parameters

      msg – the APDU as string of characters

  `getATR`()

    Returns the ATR of the card as string of characters

  `powerDown`()

    Powers down the card

  `powerUp`()

    Powers up the card

  `reset`()

    Performs a warm reset of the card (no power down)